Vla-put-arrowhead2block

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-arrowhead2block vla-object name)


機能
寸法線の第 2 端点のカスタム矢印に使用するブロックを指定する。


引数
  • vla-object … VLAオブジェクト(Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、DimRotated)
  • name : 寸法線の最初の端点の矢印として使用するブロックの名前。


戻り値
nil
  • MEMO : このプロパティは、指定された寸法でシステム変数 DIMBLK2[矢印名 2]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_ArrowHead1_2Block()
    ;; 長さ寸法を作成して矢印を変更するサンプル
    ;; 矢印に、円のカスタムブロックを設定する。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; 3点角度寸法の定義
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; 3点角度寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)
    
    ;; 矢印にカスタムブロックを設定
    (vla-put-Arrowhead1Block DimPointAngularObj "CBlock")
    (vla-put-Arrowhead2Block DimPointAngularObj "CBlock")
    (vla-ZoomAll acadObj)
    
    ;; 元の矢印を読み込み
    ;; 元の矢印を読み込み
    (setq BlockName (vla-get-Arrowhead1Block DimPointAngularObj))
    (alert (strcat "この寸法の端点1の矢印ブロックは : " BlockName))
    (setq BlockName (vla-get-Arrowhead2Block DimPointAngularObj))
    (alert (strcat "この寸法の端点2の矢印ブロックは : " BlockName))

)

関連事項